Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Voicemail.STATUS

    java.lang.Object
      java.lang.Enum<Voicemail.STATUS>
          com.skype.api.Voicemail.STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Voicemail.STATUS>

Enclosing class:
  Voicemail

    public static enum Voicemail.STATUS

extends java.lang.Enum<Voicemail.STATUS>

Enum Constant Summary
`BLANK`
`BUFFERING`
`CANCELLED`
`CHECKING`
`DELETING`
`DELETING_FAILED`
`DOWNLOADING`
`FAILED`
`NOTDOWNLOADED`
`PLAYED`
`PLAYING`
`RECORDED`
`RECORDING`
`UNPLAYED`
`UPLOADED`
`UPLOADING`

Method Summary
`static Voicemail.STATUS` | `fromString(java.lang.String s)`
`static Voicemail.STATUS` | `get(int code)`
`int` | `getId()`
`static Voicemail.STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Voicemail.STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOTDOWNLOADED

    public static final Voicemail.STATUS NOTDOWNLOADED

### DOWNLOADING

    public static final Voicemail.STATUS DOWNLOADING

### UNPLAYED

    public static final Voicemail.STATUS UNPLAYED

### BUFFERING

    public static final Voicemail.STATUS BUFFERING

### PLAYING

    public static final Voicemail.STATUS PLAYING

### PLAYED

    public static final Voicemail.STATUS PLAYED

### BLANK

    public static final Voicemail.STATUS BLANK

### RECORDING

    public static final Voicemail.STATUS RECORDING

### RECORDED

    public static final Voicemail.STATUS RECORDED

### UPLOADING

    public static final Voicemail.STATUS UPLOADING

### UPLOADED

    public static final Voicemail.STATUS UPLOADED

### DELETING

    public static final Voicemail.STATUS DELETING

### FAILED

    public static final Voicemail.STATUS FAILED

### DELETING_FAILED

    public static final Voicemail.STATUS DELETING_FAILED

### CHECKING

    public static final Voicemail.STATUS CHECKING

### CANCELLED

    public static final Voicemail.STATUS CANCELLED

Method Detail

### values

    public static Voicemail.STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Voicemail.STATUS c : Voicemail.STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Voicemail.STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Voicemail.STATUS get(int code)

### fromString

    public static Voicemail.STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.